const User = require('../models/User');

const adminMiddleware = (req, res, next) => {
    // Überprüfen, ob der Benutzer ein Administrator ist
    if (req.user && req.user.isAdmin) {
        return next(); // Weiter zu der nächsten Middleware oder Route
    }

    return res.status(403).json({ message: 'Zugriff verweigert: Administratorrechte erforderlich' });
};

module.exports = adminMiddleware;
