const jwt = require('jsonwebtoken');

// Identifiziert einen Nutzer und überprüft das JWT Token

const authMiddleware = (req, res, next) => {
    const token = req.header('Authorization')?.replace('Bearer ', '');

    if (!token) {
        return res.status(401).json({ message: 'Kein Token, Zugriff verweigert' });
    }

    try {
        const decoded = jwt.verify(token, process.env.JWT_SECRET); // Token verifizieren

        req.user = decoded; // Benutzerinformationen im Request speichern
        next();
    } catch (error) {
        return res.status(401).json({ message: 'Ungültiger Token' });
    }
};

module.exports = authMiddleware;
